View Issue Details

IDProjectCategoryView StatusLast Update
0001186Main CAcert Websiteweb of trustpublic2013-10-15 20:13
ReporterBenBE Assigned Toegal  
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version2013 Q3 
Target Version2013 Q3Fixed in Version2013 Q3 
Summary0001186: Warning when determining MX records of a domain
DescriptionWhen determining the MX records for a domain a warning is logged.
Steps To ReproduceTry to register a new domain.
Additional InformationPHP Notice: Undefined offset: 1 in /git/cacert/includes/general.php on line 547, referer: https://secure1.it-sls.de/account.php
TagsNo tags attached.
Reviewed bydastrath, BenBE
Test Instructions

Activities

egal

2013-07-02 23:12

administrator   ~0004094

patch seems to be correct ...

INOPIAE

2013-07-06 17:54

updater   ~0004100

Last edited: 2013-07-06 17:59

View 3 revisions

I added a domain to my account successfully.
BenBE checked the log and found no error message any more.
=>ok

MartinGummi

2013-07-06 17:59

updater   ~0004101

Last edited: 2013-07-06 18:05

View 3 revisions

TestCase 2nd Level:

add a domain 2nd level domain like example.com		=> OK
click on the verify link in Test Management System	=> OK


TestCase 3rd Level:

add a domain 3rd level domain like example.co.uk	=> OK
click on the verify link in Test Management System	=> OK


TestCase 4th Level:

add a domain 4th level domain like mx.example.co.uk	=> OK
click on the verify link in Test Management System	=> OK


BenBE checked the log and found no error message any more => OK

BenBE

2013-07-06 18:03

updater   ~0004102

Update the ticket to include Dirk's review. Also applied a minor bugfix for two mixed-up arguments causing all MX records to be rejected.

wytze

2013-07-15 08:57

developer   ~0004148

The fix has been applied to the production server on July 15, 2013. See also:
https://lists.cacert.org/wws/arc/cacert-systemlog/2013-07/msg00002.html

Issue History

Date Modified Username Field Change
2013-07-02 22:11 BenBE New Issue
2013-07-02 22:11 BenBE Assigned To => BenBE
2013-07-02 22:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 3c11fcea
2013-07-02 22:20 BenBE Source_changeset_attached => cacert-devel testserver-stable 17e83d65
2013-07-02 22:48 BenBE Reviewed by => BenBE
2013-07-02 22:48 BenBE Assigned To BenBE => egal
2013-07-02 22:48 BenBE Status new => needs review & testing
2013-07-02 22:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 47dbd551
2013-07-02 22:50 BenBE Source_changeset_attached => cacert-devel testserver-stable f0223005
2013-07-02 23:12 egal Note Added: 0004094
2013-07-06 17:54 INOPIAE Note Added: 0004100
2013-07-06 17:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 84417603
2013-07-06 17:55 BenBE Source_changeset_attached => cacert-devel testserver-stable 4774e98e
2013-07-06 17:59 MartinGummi Note Added: 0004101
2013-07-06 17:59 INOPIAE Note Edited: 0004100 View Revisions
2013-07-06 17:59 MartinGummi Note Edited: 0004101 View Revisions
2013-07-06 17:59 INOPIAE Note Edited: 0004100 View Revisions
2013-07-06 18:03 BenBE Reviewed by BenBE => dastrath, BenBE
2013-07-06 18:03 BenBE Note Added: 0004102
2013-07-06 18:03 BenBE Status needs review & testing => ready to deploy
2013-07-06 18:05 MartinGummi Note Edited: 0004101 View Revisions
2013-07-12 20:10 BenBE Source_changeset_attached => cacert-devel release 027be44f
2013-07-15 08:57 wytze Note Added: 0004148
2013-07-15 08:57 wytze Status ready to deploy => solved?
2013-07-15 08:57 wytze Fixed in Version => 2013 Q3
2013-07-15 08:57 wytze Resolution open => fixed
2013-10-15 20:13 INOPIAE Status solved? => closed